# Proposal of api version 1.0.0

## Tivio

```dart
class Tivio {
    subscribeToWidget({String widgetId, Function(TivioDataWidget) callback, int count = 10}) {}

    unsubscribeToWidget(Function(TivioDataWidget) callback) {}

    subscribeToChannel({String channelId, Function(TivioDataChannel) callback, int count = 10}) {}

    unsubscribeToChannel(Function(TivioDataChannel) callback) {}

    subscribeToSection({String sectionId, Function(TivioDataSection) callback, int count = 10}) {}

    unsubscribeToSection(Function(TivioDataSection) callback) {}

    subscribeToVideo({String videoId, Function(TivioDataVideo) callback, int count = 10}) {}

    unsubscribeToVideo(Function(TivioDataVideo) callback) {}
}
```

### TivioDataWidget

```dart
class TivioDataWidget {
    String id;
    String name;
    List<TivioDataChannel> channels;

    Future<List<TivioDataVideo>> getRecentVideos() {}

    getNextChannels({int count = 10}) {}
}
```

### TivioDataChannel

```dart
class TivioDataChannel {
    String id;
    String name;
    _ChannelImages images;
    List<TivioDataSection> sections;

    Future<List<TivioDataVideo>> getRecentVideos() {}

    getNextSections({int count = 10}) {}
}
```

### TivioDataSection

```dart
class TivioDataSection {
    String id;
    String name;
    List<TivioDataVideo> videos;

    getNextVideos({int count = 10}) {}
}
```

### TivioDataVideo

```dart
class TivioDataVideo {
    String id;
    String name;
    Duration duration;
    DateTime created;
    _Url url;
    _VideoImages images;
    bool isPlaylist;
    List<TivioDataPlaylistItem> playlistItems = [];
    _Monetization monetization;
}
```
