import 'package:flutter/material.dart';
import 'package:tivio_sdk/tivio.dart';
import './tivio_section_widget.dart';

class TivioChannelWidget extends StatefulWidget {
  final TivioDataWidget _tivioDataWidget;

  TivioChannelWidget(this._tivioDataWidget);

  @override
  _TivioChannelWidgetState createState() => _TivioChannelWidgetState();
}

class _TivioChannelWidgetState extends State<TivioChannelWidget> with TivioChannels {
  @override
  void initState() {
    super.initState();
    initializeTivioChannels(this.widget._tivioDataWidget);
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(5),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            'channels:',
            style: TextStyle(
              fontSize: 18,
              fontWeight: FontWeight.bold,
            ),
          ),
          ...tivioChannels.entries
              .map((e) => Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text(e.value.name),
                      TivioSectionWidget(e.value),
                    ],
                  ))
              .toList(),
        ],
      ),
    );
  }
}
