import 'package:flutter/material.dart';
import 'package:tivio_sdk/tivio.dart';
import './tivio_video_widget.dart';

class TivioSectionWidget extends StatefulWidget {
  final TivioDataChannel _tivioDataChannel;

  TivioSectionWidget(this._tivioDataChannel);

  @override
  _TivioSectionWidgetState createState() => _TivioSectionWidgetState();
}

class _TivioSectionWidgetState extends State<TivioSectionWidget>
    with TivioSections {
  @override
  void initState() {
    super.initState();
    initializeTivioSections(this.widget._tivioDataChannel);
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(5),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            'sections:',
            style: TextStyle(
              fontSize: 20,
              fontWeight: FontWeight.bold,
            ),
          ),
          ...tivioSections.entries
              .map((e) => Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text(e.value.name),
                      TivioVideoWidget(e.value),
                    ],
                  ))
              .toList(),
        ],
      ),
    );
  }
}
