import 'package:flutter/material.dart';
import 'package:tivio_sdk/tivio.dart';
import 'package:flutter_dotenv/flutter_dotenv.dart';
import './tivio_channel_widget.dart';

class TivioWidgetsPage extends StatefulWidget {
  final Tivio _tivio;

  TivioWidgetsPage(this._tivio);

  @override
  _TivioWidgetsPageState createState() => _TivioWidgetsPageState();
}

class _TivioWidgetsPageState extends State<TivioWidgetsPage> with TivioWidget {
  @override
  void initState() {
    super.initState();
    initializeTivioWidget(DotEnv().env['TIVIO_DEMO_WIDGET_ID'], this.widget._tivio);
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text('Traverse data')),
      body: SingleChildScrollView(
        child: Container(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Text(
                'widgets:',
                style: TextStyle(
                  fontSize: 18,
                  fontWeight: FontWeight.bold,
                ),
              ),
              (tivioWidget != null) ? TivioChannelWidget(tivioWidget) : Text('')
            ],
          ),
        ),
      ),
    );
  }
}
