import 'package:flutter/material.dart';
import 'package:nav_router/nav_router.dart';
import 'package:tivio_sdk/tivio.dart';
import '../pages/traverse_data/tivio_video_page.dart';

class ListVideos extends StatelessWidget {
  final List<TivioDataVideo> _videos;

  ListVideos(this._videos);

  @override
  Widget build(BuildContext context) {
    return Column(children: [
      ..._videos.map((video) {
        if (video.isPlaylist) {
          return Container(
            padding: EdgeInsets.all(5),
            child: Column(
              //crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Container(
                  padding: EdgeInsets.only(left: 10),
                  child: Text(
                    'playlist: ${video.name}',
                    style: TextStyle(
                      fontSize: 16,
                      fontWeight: FontWeight.bold,
                    ),
                  ),
                ),
                ...video.playlistItems.map(
                      (e) => MaterialButton(
                    child: Text(e.name),
                    onPressed: () => _navigateToPage(TivioVideoPage(e.url.hls, e.name, e.duration)),
                  ),
                ),
              ],
            ),
          );
        } else {
          if (video.monetization != null) {
            return MaterialButton(
              child: Text('${video.name} - for ${video.monetization.price},-'),
              onPressed: null,
            );
          } else {
            return MaterialButton(
              child: Text(video.name),
              onPressed: (video.url != null && video.url.hls != '')
                  ? () => _navigateToPage(TivioVideoPage(video.url.hls, video.name, video.duration))
                  : null,
            );
          }
        }
      })
    ]);
  }

  _navigateToPage(Widget page) {
    return routePush(page, RouterType.material);
  }
}
