import '../dto.dart';

class TivioDataChannelParser {
  static TivioDataChannel parseChannel(Map data) {
    return TivioDataChannel(data['id'], data['name'], data['headerLogo'], data['cover'], null);
  }

  static TivioDataPagination<TivioDataChannel> parsePaginatedChannels(Map data) {
    var channels = data['channels']
        .map<TivioDataChannel>(
          (channel) => TivioDataChannelParser.parseChannel(
            channel,
          ),
        )
        .toList();

    return TivioDataPagination(channels, false);
  }
}
