import '../dto.dart';

class TivioDataSectionParser {
  static TivioDataSection parseSection(Map data) {
    return TivioDataSection(data['id'], data['name'], null);
  }

  static TivioDataPagination<TivioDataSection> parsePaginatedSections(Map data) {
    var sections = data['sections']
        .map<TivioDataSection>(
          (section) => TivioDataSectionParser.parseSection(
            section,
          ),
        )
        .toList();

    return TivioDataPagination(sections, false);
  }
}
