import 'package:flutter/material.dart';
import '../dto.dart';

mixin TivioChannels<T extends StatefulWidget> on State<T> {
  TivioDataWidget _tivioDataWidget;
  var tivioChannels = Map<String, TivioDataChannel>();

  initializeTivioChannels (TivioDataWidget tivioDataWidget) {
    _tivioDataWidget = tivioDataWidget;
    return subscribeToTivioWidgets();
  }

  subscribeToTivioWidgets() {
    return this._tivioDataWidget.subscribeToChannels((channel) {
      setState(() {
        tivioChannels[channel.id] = channel;
      });
    });
  }

  fetchTivioChannels({int count = 10}) async {
    return TivioDataPagination<TivioDataWidget>([], false);
  }

  @override
  void dispose() {
    super.dispose();
    if (_tivioDataWidget != null) {
      _tivioDataWidget.unsubscribeToChannels();
    }
  }
}
