import 'package:flutter/material.dart';
import '../dto.dart';

mixin TivioVideos<T extends StatefulWidget> on State<T> {
  TivioDataSection _tivioDataSection;
  var tivioVideos = Map<String, TivioDataVideo>();

  initializeTivioVideos (TivioDataSection tivioDataSection) {
    _tivioDataSection = tivioDataSection;
    return subscribeToTivioVideos();
  }

  subscribeToTivioVideos() {
    return _tivioDataSection.subscribeToVideos((video) {
      setState(() {
        tivioVideos[video.id] = video;
      });
    });
  }

  fetchTivioVideos({int count = 10}) async {
    return TivioDataPagination<TivioDataVideo>([], false);
  }

  @override
  void dispose() {
    super.dispose();
    if (_tivioDataSection != null) {
      _tivioDataSection.unsubscribeToVideos();
    }
  }
}
