import 'package:flutter/material.dart';
import '../tivio.dart';
import '../dto.dart';

mixin TivioWidget<T extends StatefulWidget> on State<T> {
  Tivio _tivio;
  TivioDataWidget tivioWidget;

  initializeTivioWidget (String widgetId, Tivio tivio) {
    _tivio = tivio;
    return subscribeToTivioWidgets(widgetId);
  }

  subscribeToTivioWidgets(String widgetId) {
    return _tivio.subscribeToWidgets(widgetId, (widget) {
      setState(() {
        tivioWidget = widget;
      });
    });
  }

  fetchTivioWidgets({int count = 10}) async {
    return TivioDataPagination<TivioDataWidget>([], false);
  }

  @override
  void dispose() {
    super.dispose();
    if (_tivio != null) {
      _tivio.unsubscribeToWidgets();
    }
  }
}
